Get object metadata via installation
curl --request GET \
--url https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "account",
"displayName": "Account",
"mappedObjectName": "companies",
"fields": {
"name": {
"fieldName": "name",
"displayName": "Account Name",
"valueType": "string",
"providerType": "string",
"readOnly": false,
"isCustom": false,
"isRequired": true
},
"billingcity": {
"fieldName": "billingcity",
"displayName": "Billing City",
"valueType": "string",
"providerType": "string",
"readOnly": false,
"isCustom": false,
"isRequired": false
},
"industry": {
"fieldName": "industry",
"displayName": "Industry",
"valueType": "singleSelect",
"providerType": "picklist",
"readOnly": false,
"isCustom": false,
"isRequired": false,
"values": [
{
"value": "technology",
"displayValue": "Technology"
},
{
"value": "finance",
"displayValue": "Finance"
}
]
}
}
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Objects & Fields
Get object metadata via installation
Retrieves metadata about an object in a customer’s SaaS instance, including its fields. An installation must exist for the given groupRef and integrationId. The objectName can be either the mapped name from your integration config or the native provider name. For Salesforce, nested fields may be included using JSONPath bracket notation (e.g. $['billingaddress']['city']).
GET
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
objects
/
{objectName}
/
metadata
Get object metadata via installation
curl --request GET \
--url https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ampersand.ai/v1/projects/{projectIdOrName}/integrations/{integrationId}/objects/{objectName}/metadata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"name": "account",
"displayName": "Account",
"mappedObjectName": "companies",
"fields": {
"name": {
"fieldName": "name",
"displayName": "Account Name",
"valueType": "string",
"providerType": "string",
"readOnly": false,
"isCustom": false,
"isRequired": true
},
"billingcity": {
"fieldName": "billingcity",
"displayName": "Billing City",
"valueType": "string",
"providerType": "string",
"readOnly": false,
"isCustom": false,
"isRequired": false
},
"industry": {
"fieldName": "industry",
"displayName": "Industry",
"valueType": "singleSelect",
"providerType": "picklist",
"readOnly": false,
"isCustom": false,
"isRequired": false,
"values": [
{
"value": "technology",
"displayValue": "Technology"
},
{
"value": "finance",
"displayValue": "Finance"
}
]
}
}
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Path Parameters
Query Parameters
Response
The retrieved object metadata.
Was this page helpful?

